import GC from '@grapecity/spread-sheets';
export interface IWorkBookDefaultOptions {
    allowDragHeaderToMove?: GC.Spread.Sheets.AllowDragHeaderToMove;
    allowUserDragDrop?: boolean;
    allowUserDragFill?: boolean;
    allowUserZoom?: boolean;
    allowUserResize?: boolean;
    allowUndo?: boolean;
    allowSheetReorder?: boolean;
    allowContextMenu?: boolean;
    allowUserDeselect?: boolean;
    defaultDragFillType?: number;
    showDragFillSmartTag?: boolean;
    showHorizontalScrollbar?: boolean;
    showVerticalScrollbar?: boolean;
    scrollbarShowMax?: boolean;
    scrollbarMaxAlign?: boolean;
    tabStripVisible?: boolean;
    tabStripRatio?: number;
    tabStripPosition?: GC.Spread.Sheets.TabStripPosition;
    tabStripWidth?: number;
    tabEditable?: boolean;
    newTabVisible?: boolean;
    allSheetsListVisible?: GC.Spread.Sheets.AllSheetsListVisibility;
    cutCopyIndicatorVisible?: boolean;
    cutCopyIndicatorBorderColor?: string;
    tabNavigationVisible?: boolean;
    backColor?: string;
    backgroundImage?: null | string;
    backgroundImageLayout?: GC.Spread.Sheets.ImageLayout;
    showResizeTip?: GC.Spread.Sheets.ShowResizeTip;
    showDragDropTip?: boolean;
    showDragFillTip?: boolean;
    scrollIgnoreHidden?: boolean;
    highlightInvalidData?: boolean;
    showScrollTip?: GC.Spread.Sheets.ShowScrollTip;
    columnResizeMode?: GC.Spread.Sheets.ResizeMode;
    rowResizeMode?: GC.Spread.Sheets.ResizeMode;
    grayAreaBackColor?: null | string;
    useTouchLayout?: boolean;
    hideSelection?: boolean;
    resizeZeroIndicator?: GC.Spread.Sheets.ResizeZeroIndicator;
    allowUserEditFormula?: boolean;
    pivotAreaReference?: number;
    enableFormulaTextbox?: boolean;
    referenceStyle?: number;
    allowDynamicArray?: boolean;
    iterativeCalculation?: boolean;
    iterativeCalculationMaximumIterations?: number;
    iterativeCalculationMaximumChange?: number;
    autoFitType?: GC.Spread.Sheets.AutoFitType;
    calcOnDemand?: boolean;
    incrementalCalculation?: boolean;
    dynamicReferences?: boolean;
    allowCopyPasteExcelStyle?: boolean;
    allowExtendPasteRange?: boolean;
    copyPasteHeaderOptions?: GC.Spread.Sheets.CopyPasteHeaderOptions;
    calculationMode?: GC.Spread.Sheets.CalculationMode;
    allowUserDragMerge?: boolean;
    scrollByPixel?: boolean;
    scrollPixel?: number;
    enableAccessibility?: boolean;
    sheetCount?: number;
    allowAutoCreateHyperlink?: boolean;
    font?: null | string;
    customList?: string[][];
    scrollbarAppearance?: number;
    numbersFitMode?: GC.Spread.Sheets.NumbersFitMode;
    pasteSkipInvisibleRange?: boolean;
    allowAutoExtendFilterRange?: boolean;
    allowInvalidFormula?: boolean;
    formulaFormatHint?: boolean;
    saveChangesForSheet?: boolean;
    defaultSheetTabStyles?: GC.Spread.Sheets.SheetTabStyles;
    builtInFileIcons?: GC.Spread.Sheets.IBuiltInFileIcons;
    dragHeaderMaskBackColor?: string;
    dragHeaderIndicatorColor?: string;
}
