import GC from '@grapecity/spread-sheets-designer';
import { IWorkBookDefaultOptions } from './config';
declare const _sfc_main: import("vue").DefineComponent<{
    config: {
        type: () => GC.Spread.Sheets.Designer.IDesignerConfig;
    };
    styleInfo: {
        type: ObjectConstructor;
    };
    spreadOptions: {
        type: () => IWorkBookDefaultOptions;
    };
}, {
    props: import("@vue/shared").LooseRequired<{
        readonly config?: GC.Spread.Sheets.Designer.IDesignerConfig | undefined;
        readonly styleInfo?: Record<string, any> | undefined;
        readonly spreadOptions?: IWorkBookDefaultOptions | undefined;
        readonly onDesignerInitialized?: ((...args: any[]) => any) | undefined;
    } & {}>;
    emit: (event: "designerInitialized", ...args: any[]) => void;
    designerContainer: import("vue").Ref<HTMLDivElement | null>;
    designer: import("vue").Ref<{
        activeRibbonTab: (ribbonTabId?: string | undefined) => string;
        bind: (type: string, fn?: any) => void;
        destroy: () => void;
        getData: (key: string) => any;
        getWorkbook: () => Object;
        refresh: () => void;
        setConfig: (config: GC.Spread.Sheets.Designer.IDesignerConfig) => void;
        setData: (key: string, value: any) => void;
        setWorkbook: (spread: Object) => void;
        unbind: (type: string, fn?: any) => void;
        unbindAll: () => void;
    } | null>;
    designerConfig: import("vue").Ref<{
        templateMap?: GC.Spread.Sheets.Designer.TemplateMap | undefined;
        commandMap?: GC.Spread.Sheets.Designer.CommandMap | undefined;
        quickAccessBar?: string[] | undefined;
        ribbon?: {
            id: string;
            text: string;
            buttonGroups: {
                class?: string | undefined;
                label?: string | undefined;
                thumbnailClass?: string | undefined;
                indicator?: string | undefined;
                commandGroup: {
                    commands?: string[] | undefined;
                    children?: any[] | undefined;
                    type?: "group" | "separator" | "dropdown" | undefined;
                    direction?: string | undefined;
                    command?: string | undefined;
                    dropdownMaxWidth?: number | undefined;
                    dropdownMaxHeight?: number | undefined;
                    showDropdownButton?: boolean | undefined;
                    visiblePriority?: number | undefined;
                    hidden?: boolean | undefined;
                };
                overflow?: boolean | undefined;
                overflowTitle?: string | undefined;
                buttonGroupName?: string | undefined;
            }[];
            visibleWhen?: string | undefined;
            overflow?: boolean | undefined;
            overflowTitle?: string | undefined;
            active?: boolean | undefined;
        }[] | {
            panels: {
                id: string;
                text: string;
                buttonGroups: {
                    class?: string | undefined;
                    label?: string | undefined;
                    thumbnailClass?: string | undefined;
                    indicator?: string | undefined;
                    commandGroup: {
                        commands?: string[] | undefined;
                        children?: any[] | undefined;
                        type?: "group" | "separator" | "dropdown" | undefined;
                        direction?: string | undefined;
                        command?: string | undefined;
                        dropdownMaxWidth?: number | undefined;
                        dropdownMaxHeight?: number | undefined;
                        showDropdownButton?: boolean | undefined;
                        visiblePriority?: number | undefined;
                        hidden?: boolean | undefined;
                    };
                    overflow?: boolean | undefined;
                    overflowTitle?: string | undefined;
                    buttonGroupName?: string | undefined;
                }[];
                visibleWhen?: string | undefined;
                overflow?: boolean | undefined;
                overflowTitle?: string | undefined;
                active?: boolean | undefined;
            }[];
            ribbonHeight?: number | undefined;
        } | undefined;
        contextMenu?: string[] | undefined;
        sidePanels?: {
            position: "left" | "right" | "top" | "bottom" | "full";
            width?: string | undefined;
            command?: string | undefined;
            allowResize?: boolean | undefined;
            showCloseButton?: boolean | undefined;
            uiTemplate: string;
            classList?: string[] | undefined;
        }[] | undefined;
        fileMenu?: string | undefined;
    }>;
    spreadOptions: import("vue").Ref<{
        allowDragHeaderToMove?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.AllowDragHeaderToMove | undefined;
        allowUserDragDrop?: boolean | undefined;
        allowUserDragFill?: boolean | undefined;
        allowUserZoom?: boolean | undefined;
        allowUserResize?: boolean | undefined;
        allowUndo?: boolean | undefined;
        allowSheetReorder?: boolean | undefined;
        allowContextMenu?: boolean | undefined;
        allowUserDeselect?: boolean | undefined;
        defaultDragFillType?: number | undefined;
        showDragFillSmartTag?: boolean | undefined;
        showHorizontalScrollbar?: boolean | undefined;
        showVerticalScrollbar?: boolean | undefined;
        scrollbarShowMax?: boolean | undefined;
        scrollbarMaxAlign?: boolean | undefined;
        tabStripVisible?: boolean | undefined;
        tabStripRatio?: number | undefined;
        tabStripPosition?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.TabStripPosition | undefined;
        tabStripWidth?: number | undefined;
        tabEditable?: boolean | undefined;
        newTabVisible?: boolean | undefined;
        allSheetsListVisible?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.AllSheetsListVisibility | undefined;
        cutCopyIndicatorVisible?: boolean | undefined;
        cutCopyIndicatorBorderColor?: string | undefined;
        tabNavigationVisible?: boolean | undefined;
        backColor?: string | undefined;
        backgroundImage?: string | null | undefined;
        backgroundImageLayout?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.ImageLayout | undefined;
        showResizeTip?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.ShowResizeTip | undefined;
        showDragDropTip?: boolean | undefined;
        showDragFillTip?: boolean | undefined;
        scrollIgnoreHidden?: boolean | undefined;
        highlightInvalidData?: boolean | undefined;
        showScrollTip?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.ShowScrollTip | undefined;
        columnResizeMode?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.ResizeMode | undefined;
        rowResizeMode?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.ResizeMode | undefined;
        grayAreaBackColor?: string | null | undefined;
        useTouchLayout?: boolean | undefined;
        hideSelection?: boolean | undefined;
        resizeZeroIndicator?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.ResizeZeroIndicator | undefined;
        allowUserEditFormula?: boolean | undefined;
        pivotAreaReference?: number | undefined;
        enableFormulaTextbox?: boolean | undefined;
        referenceStyle?: number | undefined;
        allowDynamicArray?: boolean | undefined;
        iterativeCalculation?: boolean | undefined;
        iterativeCalculationMaximumIterations?: number | undefined;
        iterativeCalculationMaximumChange?: number | undefined;
        autoFitType?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.AutoFitType | undefined;
        calcOnDemand?: boolean | undefined;
        incrementalCalculation?: boolean | undefined;
        dynamicReferences?: boolean | undefined;
        allowCopyPasteExcelStyle?: boolean | undefined;
        allowExtendPasteRange?: boolean | undefined;
        copyPasteHeaderOptions?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.CopyPasteHeaderOptions | undefined;
        calculationMode?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.CalculationMode | undefined;
        allowUserDragMerge?: boolean | undefined;
        scrollByPixel?: boolean | undefined;
        scrollPixel?: number | undefined;
        enableAccessibility?: boolean | undefined;
        sheetCount?: number | undefined;
        allowAutoCreateHyperlink?: boolean | undefined;
        font?: string | null | undefined;
        customList?: string[][] | undefined;
        scrollbarAppearance?: number | undefined;
        numbersFitMode?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.NumbersFitMode | undefined;
        pasteSkipInvisibleRange?: boolean | undefined;
        allowAutoExtendFilterRange?: boolean | undefined;
        allowInvalidFormula?: boolean | undefined;
        formulaFormatHint?: boolean | undefined;
        saveChangesForSheet?: boolean | undefined;
        defaultSheetTabStyles?: {
            1?: {
                backColor?: string | undefined;
                foreColor?: string | undefined;
                font?: string | undefined;
                icons?: {
                    src: string;
                    position?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.IconPosition | undefined;
                    width?: number | undefined;
                    height?: number | undefined;
                }[] | undefined;
            } | undefined;
            2?: {
                backColor?: string | undefined;
                foreColor?: string | undefined;
                font?: string | undefined;
                icons?: {
                    src: string;
                    position?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.IconPosition | undefined;
                    width?: number | undefined;
                    height?: number | undefined;
                }[] | undefined;
            } | undefined;
            4?: {
                backColor?: string | undefined;
                foreColor?: string | undefined;
                font?: string | undefined;
                icons?: {
                    src: string;
                    position?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.IconPosition | undefined;
                    width?: number | undefined;
                    height?: number | undefined;
                }[] | undefined;
            } | undefined;
            8?: {
                backColor?: string | undefined;
                foreColor?: string | undefined;
                font?: string | undefined;
                icons?: {
                    src: string;
                    position?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.IconPosition | undefined;
                    width?: number | undefined;
                    height?: number | undefined;
                }[] | undefined;
            } | undefined;
            16?: {
                backColor?: string | undefined;
                foreColor?: string | undefined;
                font?: string | undefined;
                icons?: {
                    src: string;
                    position?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.IconPosition | undefined;
                    width?: number | undefined;
                    height?: number | undefined;
                }[] | undefined;
            } | undefined;
        } | undefined;
        builtInFileIcons?: import("@grapecity/spread-sheets/dist/gc.spread.sheets").Spread.Sheets.IBuiltInFileIcons | undefined;
        dragHeaderMaskBackColor?: string | undefined;
        dragHeaderIndicatorColor?: string | undefined;
    }>;
    setStyle: (newStyle: Record<string, string>) => void;
    designerInitialize: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "designerInitialized"[], "designerInitialized", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    config: {
        type: () => GC.Spread.Sheets.Designer.IDesignerConfig;
    };
    styleInfo: {
        type: ObjectConstructor;
    };
    spreadOptions: {
        type: () => IWorkBookDefaultOptions;
    };
}>> & {
    onDesignerInitialized?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _sfc_main;
